﻿using RecrownedAthenaeum.Tools.CommandProcessor;
using RecrownedAthenaeum.Tools.TextureAtlasTools;
using System;
using System.Reflection;

namespace RecrownedAthenaeum.Tools
{
    internal class Tools
    {
        static void Main(string[] args)
        {
            CommandEngine ce = new CommandEngine();

            ConsoleUtilities.WriteWrappedLine("Recrowned Athenaeum Console Tools version " + Assembly.GetExecutingAssembly().GetName().Version.ToString());
            ConsoleUtilities.WriteWrappedLine("Type \"help\" for help.");

            ce.commands.Add(new HelpCommand(ce));
            ce.commands.Add(new TexturePackerCommand());
            ce.commands.Add(new StopCommand(ce));
            ce.commands.Add(new TestCommand());
            ce.Run();
        }
    }
}
